Checkouts
Listar produtos
Liste todos os produtos criados
GET
/v1/productsBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brAuthorizations
bearer
Authorization
string · header · required
Cabeçalho de autenticação Bearer no formato Bearer {{{token}} onde {{{token}} é o seu token OAuth2.
Escopos requeridos
products/read
const url = 'https://sandbox.validapay.com.br/v1/products';
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer {{{token}}'
},
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200200
[
{
"updatedAt": "2026-02-28T10:44:22.312Z",
"name": "Plano Pro 3",
"billingPeriod": "MONTHLY",
"productId": "prod_1772275462312_lsopu8ntr",
"status": "active",
"emitirNf": false,
"currency": "BRL",
"statementDescriptor": "VALIDAPAY TESTE",
"description": "Acesso completo à plataforma",
"type": "RECURRING",
"accountId": "SANDBOX_e4286468-4031-70c9-91e4-d3f5b3ac69af",
"createdAt": "2026-02-28T10:44:22.312Z",
"metadata": {
"externalId": "plan_abc123"
},
"prices": [
{
"description": "Cobrança mensal",
"fiscal": null,
"updatedAt": "2026-02-28T10:44:22.439Z",
"accountNumber": "SANDBOX_e4286468-4031-70c9-91e4-d3f5b3ac69af",
"isActive": true,
"discounts": [],
"trialDays": 7,
"currency": "BRL",
"recurrenceInterval": 1,
"title": "Mensal",
"position": null,
"priceSchedule": null,
"recurrenceType": "MONTHLY",
"priceId": "price_1772275462439_ztt2gcewl",
"productId": "prod_1772275462312_lsopu8ntr",
"amount": 400,
"statementDescriptor": "Mensal",
"createdAt": "2026-02-28T10:44:22.439Z",
"hasSales": false
}
]
},
{
"productId": "prod_1772229816024_r0d93gdib",
"createdAt": "2026-02-27T22:03:36.024Z",
"billingPeriod": "MONTHLY",
"status": "active",
"emitirNf": false,
"currency": "BRL",
"updatedAt": "2026-02-27T22:03:36.024Z",
"statementDescriptor": "VALIDAPAY TESTE",
"name": "Plano Pro 2",
"description": "Acesso completo à plataforma",
"type": "RECURRING",
"accountId": "SANDBOX_e4286468-4031-70c9-91e4-d3f5b3ac69af",
"metadata": {
"externalId": "plan_abc123"
},
"prices": [
{
"recurrenceInterval": 1,
"currency": "BRL",
"recurrenceType": "MONTHLY",
"fiscal": null,
"updatedAt": "2026-02-27T22:03:36.125Z",
"statementDescriptor": "Mensal",
"description": "Cobrança mensal",
"discounts": [],
"accountNumber": "SANDBOX_e4286468-4031-70c9-91e4-d3f5b3ac69af",
"createdAt": "2026-02-27T22:03:36.125Z",
"amount": 400,
"isActive": true,
"title": "Mensal",
"priceSchedule": null,
"trialDays": 7,
"productId": "prod_1772229816024_r0d93gdib",
"priceId": "price_1772229816125_l3ozburex",
"position": null,
"hasSales": true
}
]
}
]